Get an invoice
Returns one invoice by `documentId`. Requires `Permissions.Invoice.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
documentId*integerFormat
int32application/json- response
address1?|Length
length <= 80address2?|Length
length <= 80address3?|Length
length <= 80attachment?array<>|nullbranchId?|Format
int32cashRoundingAmount?|Format
decimalcity?|Length
length <= 80companyIdentificationNumber?|Length
length <= 50constantSymbol?|Length
length <= 50contractId?|Format
int32country?|Length
length <= 80countryId?|Format
int32createdAt?|Format
date-timecustomerAuthorizedPersonId?|Format
int32customerId?|Format
int32dateOfAccountingPosting?|Format
date-timedateOfCreation?|Format
date-timedateOfTaxableEvent?|Format
date-timedateOfTransfer?|Format
date-timedeliveryAddressId?|Format
int32deliveryDate?|Format
date-timedeliveryNotesInternalNumbers?string|nulldeliveryNotesPriceLevels?string|nulldiscount?|Format
decimaldiscountPercent?|Format
decimaldistanceSaleCurrency?|Length
length <= 50distanceSaleExchangeRate?|Format
decimaldistanceSaleExempt?|Format
decimaldistanceSaleTotalPrice?|Format
decimaldistanceSaleVatAmountBasicRate?|Format
decimaldistanceSaleVatAmountReducedRate?|Format
decimaldistanceSaleVatAmountSuperReducedRate?|Format
decimaldistanceSaleVatBasisBasicRate?|Format
decimaldistanceSaleVatBasisReducedRate?|Format
decimaldistanceSaleVatBasisSuperReducedRate?|Format
decimaldocumentState?|Format
int32downPayment?array<>|nulldownPaymentNotSubjectOfVat?|Format
decimaldownPaymentPdp?|Format
decimaldownPaymentVatAmountBasicRate?|Format
decimaldownPaymentVatAmountReducedRate?|Format
decimaldownPaymentVatAmountSuperReducedRate?|Format
decimaldownPaymentVatBasisBasicRate?|Format
decimaldownPaymentVatBasisReducedRate?|Format
decimaldownPaymentVatBasisSuperReducedRate?|Format
decimaldownPaymentWithoutVat?|Format
decimaldueDate?|Format
date-timefAutomat?boolean|nullfinalRecipientAddress1?|Length
length <= 80finalRecipientAddress2?|Length
length <= 80finalRecipientAddress3?|Length
length <= 80finalRecipientCity?|Length
length <= 80finalRecipientCountry?|Length
length <= 80finalRecipientName?|Length
length <= 255finalRecipientZipCode?|Length
length <= 50formNumber?|Length
length <= 50frameworkOrder?|Length
length <= 80id?|Format
int32internalNumber?|Format
int32intrastatBorderCrossingDate?|Format
date-timeintrastatDestinationCountryId?|Format
int32intrastatMovementCodeId?|Format
int32intrastatSenderCountryId?|Format
int32intrastatTermsOfDeliveryId?|Format
int32intrastatTransactionId?|Format
int32intrastatTransportTypeId?|Format
int32invoiceSeries?|Format
int32invoiceType?|Format
int32invoicingAddress1?|Length
length <= 80invoicingAddress2?|Length
length <= 80invoicingAddress3?|Length
length <= 80invoicingCity?|Length
length <= 80invoicingCountry?|Length
length <= 80invoicingName?|Length
length <= 255invoicingZipCode?|Length
length <= 50isApproved?boolean|nullisDownPayment?|Format
decimalisEuRetail?boolean|nullisExported?boolean|nullisExportedToCarrier?boolean|nullisLocked?boolean|nullisPdp?boolean|nullisPrinted?boolean|nullisPrintedPdf?boolean|nullisScrap?boolean|nullisSent?|Format
date-timeisTransportLabelPrinted?boolean|nullitems?array<>|nulllastModify?|Format
date-timelockOwner?|Length
length <= 50mainCurrencyExempt?|Format
decimalmainCurrencyNotSubjectOfVat?|Format
decimalmainCurrencyTotal?|Format
decimalmainCurrencyVatAmountBasicRate?|Format
decimalmainCurrencyVatAmountReducedRate?|Format
decimalmainCurrencyVatAmountSuperReducedRate?|Format
decimalmainCurrencyVatBasisBasicRate?|Format
decimalmainCurrencyVatBasisReducedRate?|Format
decimalmainCurrencyVatBasisSuperReducedRate?|Format
decimalname?|Length
length <= 255notRemind?boolean|nullnote?string|nullorderFormNumber?|Length
length <= 50orderInternalNumber?|Format
int32packages?array<>|nullpaidOnDate?|Format
date-timepassedToTransport?|Format
date-timepaymentMethod?|Format
int32paymentTypeId?|Format
int32prePaymentInvoiceId?|Format
int32textAfter?string|nulltextBefore?string|nulltotalPrice?|Format
decimaltotalPriceCurrency?|Length
length <= 50totalPriceExchangeRate?|Format
decimaltransport?|Length
length <= 50transportDriverId?|Format
int32transportTypeId?|Format
int32userId?|Length
length <= 50vatAmountBasicRate?|Format
decimalvatAmountReducedRate?|Format
decimalvatAmountSuperReducedRate?|Format
decimalvatBasisBasicRate?|Format
decimalvatBasisExempt?|Format
decimalvatBasisNotSubjectOfVat?|Format
decimalvatBasisReducedRate?|Format
decimalvatBasisSuperReducedRate?|Format
decimalvatRateBasic?|Format
decimalvatRateReduced?|Format
decimalvatRateSuperReduced?|Format
decimalvatRegistrationNumber?|Length
length <= 50warehouseAddress1?|Length
length <= 80warehouseAddress2?|Length
length <= 80warehouseCity?|Length
length <= 80warehouseId?|Format
int32warehouseName?|Length
length <= 80warehouseNumber?|Length
length <= 50warehouseZipCode?|Length
length <= 50zipCode?|Length
length <= 50curl -X GET 'https://<your-instance>/api/documents/invoices/0' \ -H 'Authorization: Bearer <access-token>'{ "address1": "string", "address2": "string", "address3": "string", "attachment": [ { "fileData": "string", "fileName": "string", "id": 0, "invoiceHeaderId": 0, "level1Id": 0, "level2Id": 0, "level3Id": 0, "pathToFile": "string" } ], "branchId": 0, "cashRoundingAmount": 0, "city": "string", "companyIdentificationNumber": "string", "constantSymbol": "string", "contractId": 0, "country": "string", "countryId": 0, "createdAt": "2019-08-24T14:15:22Z", "customerAuthorizedPersonId": 0, "customerId": 0, "dateOfAccountingPosting": "2019-08-24T14:15:22Z", "dateOfCreation": "2019-08-24T14:15:22Z", "dateOfTaxableEvent": "2019-08-24T14:15:22Z", "dateOfTransfer": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "deliveryDate": "2019-08-24T14:15:22Z", "deliveryNotesInternalNumbers": "string", "deliveryNotesPriceLevels": "string", "discount": 0, "discountPercent": 0, "distanceSaleCurrency": "string", "distanceSaleExchangeRate": 0, "distanceSaleExempt": 0, "distanceSaleTotalPrice": 0, "distanceSaleVatAmountBasicRate": 0, "distanceSaleVatAmountReducedRate": 0, "distanceSaleVatAmountSuperReducedRate": 0, "distanceSaleVatBasisBasicRate": 0, "distanceSaleVatBasisReducedRate": 0, "distanceSaleVatBasisSuperReducedRate": 0, "documentState": 0, "downPayment": [ { "downPayment": 0, "downPaymentInvoiceHeaderId": 0, "downPaymentNotSubjectOfVAT": 0, "downPaymentVatAmountBasicRate": 0, "downPaymentVatAmountReducedRate": 0, "downPaymentVatAmountSuperReducedRate": 0, "downPaymentVatBasisBasicRate": 0, "downPaymentVatBasisReducedRate": 0, "downPaymentVatBasisSuperReducedRate": 0, "downPaymentWithoutVat": 0, "id": 0, "invoiceHeaderId": 0 } ], "downPaymentNotSubjectOfVat": 0, "downPaymentPdp": 0, "downPaymentVatAmountBasicRate": 0, "downPaymentVatAmountReducedRate": 0, "downPaymentVatAmountSuperReducedRate": 0, "downPaymentVatBasisBasicRate": 0, "downPaymentVatBasisReducedRate": 0, "downPaymentVatBasisSuperReducedRate": 0, "downPaymentWithoutVat": 0, "dueDate": "2019-08-24T14:15:22Z", "fAutomat": true, "finalRecipientAddress1": "string", "finalRecipientAddress2": "string", "finalRecipientAddress3": "string", "finalRecipientCity": "string", "finalRecipientCountry": "string", "finalRecipientName": "string", "finalRecipientZipCode": "string", "formNumber": "string", "frameworkOrder": "string", "id": 0, "internalNumber": 0, "intrastatBorderCrossingDate": "2019-08-24T14:15:22Z", "intrastatDestinationCountryId": 0, "intrastatMovementCodeId": 0, "intrastatSenderCountryId": 0, "intrastatTermsOfDeliveryId": 0, "intrastatTransactionId": 0, "intrastatTransportTypeId": 0, "invoiceSeries": 0, "invoiceType": 0, "invoicingAddress1": "string", "invoicingAddress2": "string", "invoicingAddress3": "string", "invoicingCity": "string", "invoicingCountry": "string", "invoicingName": "string", "invoicingZipCode": "string", "isApproved": true, "isDownPayment": 0, "isEuRetail": true, "isExported": true, "isExportedToCarrier": true, "isLocked": true, "isPdp": true, "isPrinted": true, "isPrintedPdf": true, "isScrap": true, "isSent": "2019-08-24T14:15:22Z", "isTransportLabelPrinted": true, "items": [ { "colorId": 0, "countryOfOrigin": "string", "deliveryNote": 0, "dimensionId": 0, "discount": 0, "downPayment": true, "exchangeRate": 0, "expirationDate": "2019-08-24T14:15:22Z", "foreignCurrency": "str", "guid": "string", "id": 0, "internalNumber": 0, "invoiceHeaderId": 0, "invoiceSeries": 0, "isReturnablePackaging": true, "isbn": "string", "item": 0, "lengthId": 0, "note": "string", "numberOfPackages": 0, "price": 0, "priceWoVat": 0, "productCode": "string", "productId": 0, "quantity": 0, "recyclingFee": 0, "recyclingFeeId": 0, "reverseChargeOnItem": true, "rowText": "string", "royalty": 0, "royaltyId": 0, "sizeId": 0, "stockPrice": 0, "totalForeignPrice": 0, "unit": "string", "vatBasisBasicRate": 0, "vatBasisExempt": 0, "vatBasisReducedRate": 0, "vatBasisSuperReducedRate": 0, "vatRate": 0, "vatRateBasic": 0, "vatRateReduced": 0, "vatRateSuperReduced": 0, "warehouseSellingPrice": 0, "warranty": 0, "weight": 0 } ], "lastModify": "2019-08-24T14:15:22Z", "lockOwner": "string", "mainCurrencyExempt": 0, "mainCurrencyNotSubjectOfVat": 0, "mainCurrencyTotal": 0, "mainCurrencyVatAmountBasicRate": 0, "mainCurrencyVatAmountReducedRate": 0, "mainCurrencyVatAmountSuperReducedRate": 0, "mainCurrencyVatBasisBasicRate": 0, "mainCurrencyVatBasisReducedRate": 0, "mainCurrencyVatBasisSuperReducedRate": 0, "name": "string", "notRemind": true, "note": "string", "orderFormNumber": "string", "orderInternalNumber": 0, "packages": [ { "id": 0, "invoiceHeaderId": 0, "isListingPrinted": true, "packageBarcode": "string", "packageNumber": "string", "packageStateId": 0, "transportTypeId": 0, "weight": 0 } ], "paidOnDate": "2019-08-24T14:15:22Z", "passedToTransport": "2019-08-24T14:15:22Z", "paymentMethod": 0, "paymentTypeId": 0, "prePaymentInvoiceId": 0, "textAfter": "string", "textBefore": "string", "totalPrice": 0, "totalPriceCurrency": "string", "totalPriceExchangeRate": 0, "transport": "string", "transportDriverId": 0, "transportTypeId": 0, "userId": "string", "vatAmountBasicRate": 0, "vatAmountReducedRate": 0, "vatAmountSuperReducedRate": 0, "vatBasisBasicRate": 0, "vatBasisExempt": 0, "vatBasisNotSubjectOfVat": 0, "vatBasisReducedRate": 0, "vatBasisSuperReducedRate": 0, "vatRateBasic": 0, "vatRateReduced": 0, "vatRateSuperReduced": 0, "vatRegistrationNumber": "string", "warehouseAddress1": "string", "warehouseAddress2": "string", "warehouseCity": "string", "warehouseId": 0, "warehouseName": "string", "warehouseNumber": "string", "warehouseZipCode": "string", "zipCode": "string"}List invoice series settings GET
Returns the invoice number series configured on this instance, with the numbering rules each series applies. Series are instance-specific. Requires `Permissions.Invoice.View`.
Get an invoice as PDF GET
Renders the invoice with its configured print template and returns `application/pdf` inline. 404 when the document has no printable output. Requires `Permissions.Invoice.View`.